<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site will use a
 * different template.
 *
 * @package StagFramework
 * @subpackage Crux
 */

get_header(); ?>

	<div id="primary" class="content-area">
		<main id="main" class="site-main"
		<?php
		stag_markup_helper(
			array(
				'context'   => 'content',
				'post_type' => 'page',
			)
		);
		?>
		>

			<?php
			while ( have_posts() ) :
				the_post();
				?>

				<?php get_template_part( 'content', 'page' ); ?>

				<?php
					// If comments are open or we have at least one comment, load up the comment template.
				if ( ( comments_open() || '0' !== get_comments_number() ) && false === stag_theme_mod( 'general_settings', 'site_comments_on_pages' ) ) {
					comments_template();
				}
				?>

			<?php endwhile; // end of the loop. ?>

		</main><!-- #main -->
	</div><!-- #primary -->

<?php

if ( stag_should_load_sidebar() ) {
	get_sidebar();
}

?>

<?php get_footer(); ?>
