<?php
/**
 * @package Stag_Customizer
 */

/**
 * Convert deeply nested objects to associative arrays.
 *
 * @param object $obj Object to convert.
 * @return array|bool
 */
function crux_filter_object( $obj ) {
	return is_object( $obj ) ? json_decode( wp_json_encode( $obj ), true ) : false;
}

if ( ! function_exists( 'stag_get_google_fonts' ) ) :
	/**
	 * Return an array of self updating Google Fonts library.
	 *
	 * @since 1.4.0
	 *
	 * @return array    All Google Fonts.
	 */
	function stag_get_google_fonts() {
		$fonts_transient = 'codestag_google_fonts';

		if ( ! get_transient( $fonts_transient ) ) {
			$url = 'https://raw.githubusercontent.com/codestag/google-fonts/main/fonts.json';

			$request = wp_remote_get( $url, array( 'timeout' => 20 ) );

			if ( ! is_wp_error( $request ) ) {
				$body = wp_remote_retrieve_body( $request );
				if ( ! empty( $body ) ) {
					set_transient( $fonts_transient, $body, DAY_IN_SECONDS );
				}
			}
		}

		/**
		 * Allow developers to modify the allowed Google fonts.
		 *
		 * @param array    $fonts    The list of Google fonts with variants and subsets.
		 */
		return apply_filters( 'stag_get_google_fonts', crux_filter_object( json_decode( get_transient( 'codestag_google_fonts' ) ) ) );
	}
endif;
