<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 4.7.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $woocommerce_loop;

// Store loop count we're currently on.
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid.
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Increase loop count.
$woocommerce_loop['loop']++;

$layout = stag_sidebar_layout();

if ( '1' === $woocommerce_loop['loop'] ) {
	echo '<hr class="divide-product" />';
}

?>
<li class="product-category product
<?php
if ( ( $woocommerce_loop['loop'] - 1 ) % $woocommerce_loop['columns'] === 0 || 1 === $woocommerce_loop['columns'] ) {
	echo ' first';
}
if ( $woocommerce_loop['loop'] % $woocommerce_loop['columns'] === 0 ) {
	echo ' last';
}
?>
	">

	<?php do_action( 'woocommerce_before_subcategory', $category ); ?>

		<?php
			/**
			 * Woocommerce_before_subcategory_title hook.
			 *
			 * @hooked woocommerce_subcategory_thumbnail - 10
			 */
			do_action( 'woocommerce_before_subcategory_title', $category );
		?>

		<h3>
			<?php
			echo esc_html( $category->name );

			if ( $category->count > 0 ) {
				echo apply_filters( 'woocommerce_subcategory_count_html', ' <mark class="count">(' . $category->count . ')</mark>', $category );
			}
			?>
		</h3>

		<?php
			/**
			 * Woocommerce_after_subcategory_title hook.
			 */
			do_action( 'woocommerce_after_subcategory_title', $category );
		?>

	<?php do_action( 'woocommerce_after_subcategory', $category ); ?>

</li>
